Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fca6::/16
First address
fca6::
Last address
fca6:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fca6:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
6.a.c.f.ip6.arpa
Split into smaller subnets/24

fca6::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
1fca6::/24fca6:ff:ffff:ffff:ffff:ffff:ffff:ffff
2fca6:100::/24fca6:1ff:ffff:ffff:ffff:ffff:ffff:ffff
3fca6:200::/24fca6:2ff:ffff:ffff:ffff:ffff:ffff:ffff
4fca6:300::/24fca6:3ff:ffff:ffff:ffff:ffff:ffff:ffff
5fca6:400::/24fca6:4ff:ffff:ffff:ffff:ffff:ffff:ffff
6fca6:500::/24fca6:5ff:ffff:ffff:ffff:ffff:ffff:ffff
7fca6:600::/24fca6:6ff:ffff:ffff:ffff:ffff:ffff:ffff
8fca6:700::/24fca6:7ff:ffff:ffff:ffff:ffff:ffff:ffff
9fca6:800::/24fca6:8ff:ffff:ffff:ffff:ffff:ffff:ffff
10fca6:900::/24fca6:9ff:ffff:ffff:ffff:ffff:ffff:ffff
11fca6:a00::/24fca6:aff:ffff:ffff:ffff:ffff:ffff:ffff
12fca6:b00::/24fca6:bff:ffff:ffff:ffff:ffff:ffff:ffff
13fca6:c00::/24fca6:cff:ffff:ffff:ffff:ffff:ffff:ffff
14fca6:d00::/24fca6:dff:ffff:ffff:ffff:ffff:ffff:ffff
15fca6:e00::/24fca6:eff:ffff:ffff:ffff:ffff:ffff:ffff
16fca6:f00::/24fca6:fff:ffff:ffff:ffff:ffff:ffff:ffff
17fca6:1000::/24fca6:10ff:ffff:ffff:ffff:ffff:ffff:ffff
18fca6:1100::/24fca6:11ff:ffff:ffff:ffff:ffff:ffff:ffff
19fca6:1200::/24fca6:12ff:ffff:ffff:ffff:ffff:ffff:ffff
20fca6:1300::/24fca6:13ff:ffff:ffff:ffff:ffff:ffff:ffff
21fca6:1400::/24fca6:14ff:ffff:ffff:ffff:ffff:ffff:ffff
22fca6:1500::/24fca6:15ff:ffff:ffff:ffff:ffff:ffff:ffff
23fca6:1600::/24fca6:16ff:ffff:ffff:ffff:ffff:ffff:ffff
24fca6:1700::/24fca6:17ff:ffff:ffff:ffff:ffff:ffff:ffff
25fca6:1800::/24fca6:18ff:ffff:ffff:ffff:ffff:ffff:ffff
26fca6:1900::/24fca6:19ff:ffff:ffff:ffff:ffff:ffff:ffff
27fca6:1a00::/24fca6:1aff:ffff:ffff:ffff:ffff:ffff:ffff
28fca6:1b00::/24fca6:1bff:ffff:ffff:ffff:ffff:ffff:ffff
29fca6:1c00::/24fca6:1cff:ffff:ffff:ffff:ffff:ffff:ffff
30fca6:1d00::/24fca6:1dff:ffff:ffff:ffff:ffff:ffff:ffff
31fca6:1e00::/24fca6:1eff:ffff:ffff:ffff:ffff:ffff:ffff
32fca6:1f00::/24fca6:1fff:ffff:ffff:ffff:ffff:ffff:ffff
33fca6:2000::/24fca6:20ff:ffff:ffff:ffff:ffff:ffff:ffff
34fca6:2100::/24fca6:21ff:ffff:ffff:ffff:ffff:ffff:ffff
35fca6:2200::/24fca6:22ff:ffff:ffff:ffff:ffff:ffff:ffff
36fca6:2300::/24fca6:23ff:ffff:ffff:ffff:ffff:ffff:ffff
37fca6:2400::/24fca6:24ff:ffff:ffff:ffff:ffff:ffff:ffff
38fca6:2500::/24fca6:25ff:ffff:ffff:ffff:ffff:ffff:ffff
39fca6:2600::/24fca6:26ff:ffff:ffff:ffff:ffff:ffff:ffff
40fca6:2700::/24fca6:27ff:ffff:ffff:ffff:ffff:ffff:ffff
41fca6:2800::/24fca6:28ff:ffff:ffff:ffff:ffff:ffff:ffff
42fca6:2900::/24fca6:29ff:ffff:ffff:ffff:ffff:ffff:ffff
43fca6:2a00::/24fca6:2aff:ffff:ffff:ffff:ffff:ffff:ffff
44fca6:2b00::/24fca6:2bff:ffff:ffff:ffff:ffff:ffff:ffff
45fca6:2c00::/24fca6:2cff:ffff:ffff:ffff:ffff:ffff:ffff
46fca6:2d00::/24fca6:2dff:ffff:ffff:ffff:ffff:ffff:ffff
47fca6:2e00::/24fca6:2eff:ffff:ffff:ffff:ffff:ffff:ffff
48fca6:2f00::/24fca6:2fff:ffff:ffff:ffff:ffff:ffff:ffff
49fca6:3000::/24fca6:30ff:ffff:ffff:ffff:ffff:ffff:ffff
50fca6:3100::/24fca6:31ff:ffff:ffff:ffff:ffff:ffff:ffff
51fca6:3200::/24fca6:32ff:ffff:ffff:ffff:ffff:ffff:ffff
52fca6:3300::/24fca6:33ff:ffff:ffff:ffff:ffff:ffff:ffff
53fca6:3400::/24fca6:34ff:ffff:ffff:ffff:ffff:ffff:ffff
54fca6:3500::/24fca6:35ff:ffff:ffff:ffff:ffff:ffff:ffff
55fca6:3600::/24fca6:36ff:ffff:ffff:ffff:ffff:ffff:ffff
56fca6:3700::/24fca6:37ff:ffff:ffff:ffff:ffff:ffff:ffff
57fca6:3800::/24fca6:38ff:ffff:ffff:ffff:ffff:ffff:ffff
58fca6:3900::/24fca6:39ff:ffff:ffff:ffff:ffff:ffff:ffff
59fca6:3a00::/24fca6:3aff:ffff:ffff:ffff:ffff:ffff:ffff
60fca6:3b00::/24fca6:3bff:ffff:ffff:ffff:ffff:ffff:ffff
61fca6:3c00::/24fca6:3cff:ffff:ffff:ffff:ffff:ffff:ffff
62fca6:3d00::/24fca6:3dff:ffff:ffff:ffff:ffff:ffff:ffff
63fca6:3e00::/24fca6:3eff:ffff:ffff:ffff:ffff:ffff:ffff
64fca6:3f00::/24fca6:3fff:ffff:ffff:ffff:ffff:ffff:ffff
65fca6:4000::/24fca6:40ff:ffff:ffff:ffff:ffff:ffff:ffff
66fca6:4100::/24fca6:41ff:ffff:ffff:ffff:ffff:ffff:ffff
67fca6:4200::/24fca6:42ff:ffff:ffff:ffff:ffff:ffff:ffff
68fca6:4300::/24fca6:43ff:ffff:ffff:ffff:ffff:ffff:ffff
69fca6:4400::/24fca6:44ff:ffff:ffff:ffff:ffff:ffff:ffff
70fca6:4500::/24fca6:45ff:ffff:ffff:ffff:ffff:ffff:ffff
71fca6:4600::/24fca6:46ff:ffff:ffff:ffff:ffff:ffff:ffff
72fca6:4700::/24fca6:47ff:ffff:ffff:ffff:ffff:ffff:ffff
73fca6:4800::/24fca6:48ff:ffff:ffff:ffff:ffff:ffff:ffff
74fca6:4900::/24fca6:49ff:ffff:ffff:ffff:ffff:ffff:ffff
75fca6:4a00::/24fca6:4aff:ffff:ffff:ffff:ffff:ffff:ffff
76fca6:4b00::/24fca6:4bff:ffff:ffff:ffff:ffff:ffff:ffff
77fca6:4c00::/24fca6:4cff:ffff:ffff:ffff:ffff:ffff:ffff
78fca6:4d00::/24fca6:4dff:ffff:ffff:ffff:ffff:ffff:ffff
79fca6:4e00::/24fca6:4eff:ffff:ffff:ffff:ffff:ffff:ffff
80fca6:4f00::/24fca6:4fff:ffff:ffff:ffff:ffff:ffff:ffff
81fca6:5000::/24fca6:50ff:ffff:ffff:ffff:ffff:ffff:ffff
82fca6:5100::/24fca6:51ff:ffff:ffff:ffff:ffff:ffff:ffff
83fca6:5200::/24fca6:52ff:ffff:ffff:ffff:ffff:ffff:ffff
84fca6:5300::/24fca6:53ff:ffff:ffff:ffff:ffff:ffff:ffff
85fca6:5400::/24fca6:54ff:ffff:ffff:ffff:ffff:ffff:ffff
86fca6:5500::/24fca6:55ff:ffff:ffff:ffff:ffff:ffff:ffff
87fca6:5600::/24fca6:56ff:ffff:ffff:ffff:ffff:ffff:ffff
88fca6:5700::/24fca6:57ff:ffff:ffff:ffff:ffff:ffff:ffff
89fca6:5800::/24fca6:58ff:ffff:ffff:ffff:ffff:ffff:ffff
90fca6:5900::/24fca6:59ff:ffff:ffff:ffff:ffff:ffff:ffff
91fca6:5a00::/24fca6:5aff:ffff:ffff:ffff:ffff:ffff:ffff
92fca6:5b00::/24fca6:5bff:ffff:ffff:ffff:ffff:ffff:ffff
93fca6:5c00::/24fca6:5cff:ffff:ffff:ffff:ffff:ffff:ffff
94fca6:5d00::/24fca6:5dff:ffff:ffff:ffff:ffff:ffff:ffff
95fca6:5e00::/24fca6:5eff:ffff:ffff:ffff:ffff:ffff:ffff
96fca6:5f00::/24fca6:5fff:ffff:ffff:ffff:ffff:ffff:ffff
97fca6:6000::/24fca6:60ff:ffff:ffff:ffff:ffff:ffff:ffff
98fca6:6100::/24fca6:61ff:ffff:ffff:ffff:ffff:ffff:ffff
99fca6:6200::/24fca6:62ff:ffff:ffff:ffff:ffff:ffff:ffff
100fca6:6300::/24fca6:63ff:ffff:ffff:ffff:ffff:ffff:ffff
101fca6:6400::/24fca6:64ff:ffff:ffff:ffff:ffff:ffff:ffff
102fca6:6500::/24fca6:65ff:ffff:ffff:ffff:ffff:ffff:ffff
103fca6:6600::/24fca6:66ff:ffff:ffff:ffff:ffff:ffff:ffff
104fca6:6700::/24fca6:67ff:ffff:ffff:ffff:ffff:ffff:ffff
105fca6:6800::/24fca6:68ff:ffff:ffff:ffff:ffff:ffff:ffff
106fca6:6900::/24fca6:69ff:ffff:ffff:ffff:ffff:ffff:ffff
107fca6:6a00::/24fca6:6aff:ffff:ffff:ffff:ffff:ffff:ffff
108fca6:6b00::/24fca6:6bff:ffff:ffff:ffff:ffff:ffff:ffff
109fca6:6c00::/24fca6:6cff:ffff:ffff:ffff:ffff:ffff:ffff
110fca6:6d00::/24fca6:6dff:ffff:ffff:ffff:ffff:ffff:ffff
111fca6:6e00::/24fca6:6eff:ffff:ffff:ffff:ffff:ffff:ffff
112fca6:6f00::/24fca6:6fff:ffff:ffff:ffff:ffff:ffff:ffff
113fca6:7000::/24fca6:70ff:ffff:ffff:ffff:ffff:ffff:ffff
114fca6:7100::/24fca6:71ff:ffff:ffff:ffff:ffff:ffff:ffff
115fca6:7200::/24fca6:72ff:ffff:ffff:ffff:ffff:ffff:ffff
116fca6:7300::/24fca6:73ff:ffff:ffff:ffff:ffff:ffff:ffff
117fca6:7400::/24fca6:74ff:ffff:ffff:ffff:ffff:ffff:ffff
118fca6:7500::/24fca6:75ff:ffff:ffff:ffff:ffff:ffff:ffff
119fca6:7600::/24fca6:76ff:ffff:ffff:ffff:ffff:ffff:ffff
120fca6:7700::/24fca6:77ff:ffff:ffff:ffff:ffff:ffff:ffff
121fca6:7800::/24fca6:78ff:ffff:ffff:ffff:ffff:ffff:ffff
122fca6:7900::/24fca6:79ff:ffff:ffff:ffff:ffff:ffff:ffff
123fca6:7a00::/24fca6:7aff:ffff:ffff:ffff:ffff:ffff:ffff
124fca6:7b00::/24fca6:7bff:ffff:ffff:ffff:ffff:ffff:ffff
125fca6:7c00::/24fca6:7cff:ffff:ffff:ffff:ffff:ffff:ffff
126fca6:7d00::/24fca6:7dff:ffff:ffff:ffff:ffff:ffff:ffff
127fca6:7e00::/24fca6:7eff:ffff:ffff:ffff:ffff:ffff:ffff
128fca6:7f00::/24fca6:7fff:ffff:ffff:ffff:ffff:ffff:ffff
129fca6:8000::/24fca6:80ff:ffff:ffff:ffff:ffff:ffff:ffff
130fca6:8100::/24fca6:81ff:ffff:ffff:ffff:ffff:ffff:ffff
131fca6:8200::/24fca6:82ff:ffff:ffff:ffff:ffff:ffff:ffff
132fca6:8300::/24fca6:83ff:ffff:ffff:ffff:ffff:ffff:ffff
133fca6:8400::/24fca6:84ff:ffff:ffff:ffff:ffff:ffff:ffff
134fca6:8500::/24fca6:85ff:ffff:ffff:ffff:ffff:ffff:ffff
135fca6:8600::/24fca6:86ff:ffff:ffff:ffff:ffff:ffff:ffff
136fca6:8700::/24fca6:87ff:ffff:ffff:ffff:ffff:ffff:ffff
137fca6:8800::/24fca6:88ff:ffff:ffff:ffff:ffff:ffff:ffff
138fca6:8900::/24fca6:89ff:ffff:ffff:ffff:ffff:ffff:ffff
139fca6:8a00::/24fca6:8aff:ffff:ffff:ffff:ffff:ffff:ffff
140fca6:8b00::/24fca6:8bff:ffff:ffff:ffff:ffff:ffff:ffff
141fca6:8c00::/24fca6:8cff:ffff:ffff:ffff:ffff:ffff:ffff
142fca6:8d00::/24fca6:8dff:ffff:ffff:ffff:ffff:ffff:ffff
143fca6:8e00::/24fca6:8eff:ffff:ffff:ffff:ffff:ffff:ffff
144fca6:8f00::/24fca6:8fff:ffff:ffff:ffff:ffff:ffff:ffff
145fca6:9000::/24fca6:90ff:ffff:ffff:ffff:ffff:ffff:ffff
146fca6:9100::/24fca6:91ff:ffff:ffff:ffff:ffff:ffff:ffff
147fca6:9200::/24fca6:92ff:ffff:ffff:ffff:ffff:ffff:ffff
148fca6:9300::/24fca6:93ff:ffff:ffff:ffff:ffff:ffff:ffff
149fca6:9400::/24fca6:94ff:ffff:ffff:ffff:ffff:ffff:ffff
150fca6:9500::/24fca6:95ff:ffff:ffff:ffff:ffff:ffff:ffff
151fca6:9600::/24fca6:96ff:ffff:ffff:ffff:ffff:ffff:ffff
152fca6:9700::/24fca6:97ff:ffff:ffff:ffff:ffff:ffff:ffff
153fca6:9800::/24fca6:98ff:ffff:ffff:ffff:ffff:ffff:ffff
154fca6:9900::/24fca6:99ff:ffff:ffff:ffff:ffff:ffff:ffff
155fca6:9a00::/24fca6:9aff:ffff:ffff:ffff:ffff:ffff:ffff
156fca6:9b00::/24fca6:9bff:ffff:ffff:ffff:ffff:ffff:ffff
157fca6:9c00::/24fca6:9cff:ffff:ffff:ffff:ffff:ffff:ffff
158fca6:9d00::/24fca6:9dff:ffff:ffff:ffff:ffff:ffff:ffff
159fca6:9e00::/24fca6:9eff:ffff:ffff:ffff:ffff:ffff:ffff
160fca6:9f00::/24fca6:9fff:ffff:ffff:ffff:ffff:ffff:ffff
161fca6:a000::/24fca6:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
162fca6:a100::/24fca6:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
163fca6:a200::/24fca6:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
164fca6:a300::/24fca6:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
165fca6:a400::/24fca6:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
166fca6:a500::/24fca6:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
167fca6:a600::/24fca6:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
168fca6:a700::/24fca6:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
169fca6:a800::/24fca6:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
170fca6:a900::/24fca6:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
171fca6:aa00::/24fca6:aaff:ffff:ffff:ffff:ffff:ffff:ffff
172fca6:ab00::/24fca6:abff:ffff:ffff:ffff:ffff:ffff:ffff
173fca6:ac00::/24fca6:acff:ffff:ffff:ffff:ffff:ffff:ffff
174fca6:ad00::/24fca6:adff:ffff:ffff:ffff:ffff:ffff:ffff
175fca6:ae00::/24fca6:aeff:ffff:ffff:ffff:ffff:ffff:ffff
176fca6:af00::/24fca6:afff:ffff:ffff:ffff:ffff:ffff:ffff
177fca6:b000::/24fca6:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
178fca6:b100::/24fca6:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
179fca6:b200::/24fca6:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
180fca6:b300::/24fca6:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
181fca6:b400::/24fca6:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
182fca6:b500::/24fca6:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
183fca6:b600::/24fca6:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
184fca6:b700::/24fca6:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
185fca6:b800::/24fca6:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
186fca6:b900::/24fca6:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
187fca6:ba00::/24fca6:baff:ffff:ffff:ffff:ffff:ffff:ffff
188fca6:bb00::/24fca6:bbff:ffff:ffff:ffff:ffff:ffff:ffff
189fca6:bc00::/24fca6:bcff:ffff:ffff:ffff:ffff:ffff:ffff
190fca6:bd00::/24fca6:bdff:ffff:ffff:ffff:ffff:ffff:ffff
191fca6:be00::/24fca6:beff:ffff:ffff:ffff:ffff:ffff:ffff
192fca6:bf00::/24fca6:bfff:ffff:ffff:ffff:ffff:ffff:ffff
193fca6:c000::/24fca6:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
194fca6:c100::/24fca6:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
195fca6:c200::/24fca6:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
196fca6:c300::/24fca6:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
197fca6:c400::/24fca6:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
198fca6:c500::/24fca6:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
199fca6:c600::/24fca6:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
200fca6:c700::/24fca6:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
201fca6:c800::/24fca6:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
202fca6:c900::/24fca6:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
203fca6:ca00::/24fca6:caff:ffff:ffff:ffff:ffff:ffff:ffff
204fca6:cb00::/24fca6:cbff:ffff:ffff:ffff:ffff:ffff:ffff
205fca6:cc00::/24fca6:ccff:ffff:ffff:ffff:ffff:ffff:ffff
206fca6:cd00::/24fca6:cdff:ffff:ffff:ffff:ffff:ffff:ffff
207fca6:ce00::/24fca6:ceff:ffff:ffff:ffff:ffff:ffff:ffff
208fca6:cf00::/24fca6:cfff:ffff:ffff:ffff:ffff:ffff:ffff
209fca6:d000::/24fca6:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
210fca6:d100::/24fca6:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
211fca6:d200::/24fca6:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
212fca6:d300::/24fca6:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
213fca6:d400::/24fca6:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
214fca6:d500::/24fca6:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
215fca6:d600::/24fca6:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
216fca6:d700::/24fca6:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
217fca6:d800::/24fca6:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
218fca6:d900::/24fca6:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
219fca6:da00::/24fca6:daff:ffff:ffff:ffff:ffff:ffff:ffff
220fca6:db00::/24fca6:dbff:ffff:ffff:ffff:ffff:ffff:ffff
221fca6:dc00::/24fca6:dcff:ffff:ffff:ffff:ffff:ffff:ffff
222fca6:dd00::/24fca6:ddff:ffff:ffff:ffff:ffff:ffff:ffff
223fca6:de00::/24fca6:deff:ffff:ffff:ffff:ffff:ffff:ffff
224fca6:df00::/24fca6:dfff:ffff:ffff:ffff:ffff:ffff:ffff
225fca6:e000::/24fca6:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
226fca6:e100::/24fca6:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
227fca6:e200::/24fca6:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
228fca6:e300::/24fca6:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
229fca6:e400::/24fca6:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
230fca6:e500::/24fca6:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
231fca6:e600::/24fca6:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
232fca6:e700::/24fca6:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
233fca6:e800::/24fca6:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
234fca6:e900::/24fca6:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
235fca6:ea00::/24fca6:eaff:ffff:ffff:ffff:ffff:ffff:ffff
236fca6:eb00::/24fca6:ebff:ffff:ffff:ffff:ffff:ffff:ffff
237fca6:ec00::/24fca6:ecff:ffff:ffff:ffff:ffff:ffff:ffff
238fca6:ed00::/24fca6:edff:ffff:ffff:ffff:ffff:ffff:ffff
239fca6:ee00::/24fca6:eeff:ffff:ffff:ffff:ffff:ffff:ffff
240fca6:ef00::/24fca6:efff:ffff:ffff:ffff:ffff:ffff:ffff
241fca6:f000::/24fca6:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
242fca6:f100::/24fca6:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
243fca6:f200::/24fca6:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
244fca6:f300::/24fca6:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
245fca6:f400::/24fca6:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
246fca6:f500::/24fca6:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
247fca6:f600::/24fca6:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
248fca6:f700::/24fca6:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
249fca6:f800::/24fca6:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
250fca6:f900::/24fca6:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
251fca6:fa00::/24fca6:faff:ffff:ffff:ffff:ffff:ffff:ffff
252fca6:fb00::/24fca6:fbff:ffff:ffff:ffff:ffff:ffff:ffff
253fca6:fc00::/24fca6:fcff:ffff:ffff:ffff:ffff:ffff:ffff
254fca6:fd00::/24fca6:fdff:ffff:ffff:ffff:ffff:ffff:ffff
255fca6:fe00::/24fca6:feff:ffff:ffff:ffff:ffff:ffff:ffff
256fca6:ff00::/24fca6:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses